## autoinstall-i386 1.0

=== Makefile ===
# Makefile for Progeny autoinstaller - arch-specific items

ARCH := $(shell dpkg --print-architecture)

BUSYBOXDIR=busybox-0.60.0
BUSYBOXTGZ=/usr/src/busybox-0.60.0.tar.gz

PYTHONDIR=Python-1.5.2

BINARIES=binaries/bin/busybox binaries/bin/python binaries/bin/modprobe \
	binaries/bin/discover binaries/bin/pump binaries/bin/setdebconf

SU_CMD=sudo

all: build-stamp initrd-bin.tar.gz image.gz

install: all
	-mkdir -p $(DESTDIR)/usr/lib/autoinstall/$(ARCH)
	cp initrd-bin.tar.gz syslinux.cfg image.gz \
		make-autoinst-disk update-autoinst-disk make-autoinst-initrd \
		$(DESTDIR)/usr/lib/autoinstall/$(ARCH)
	-mkdir -p $(DESTDIR)/usr/lib/autoinstall/$(ARCH)/boot
	cp boot/*.py $(DESTDIR)/usr/lib/autoinstall/$(ARCH)/boot

build-stamp:
	mkdir build-stamp

image.gz:
	dd if=/dev/zero of=image count=1 bs=1763328
	echo 'drive a: file="image" cylinders=82 heads=2 sectors=21 mformat_only' > mtoolsrc
	MTOOLSRC=mtoolsrc mformat a:
	rm mtoolsrc
#	/sbin/mkdosfs -C image 1743
	$(SU_CMD) syslinux image
	gzip -9 image

initrd-bin.tar.gz: build-stamp/initrd-bin build-stamp/initrd-libs build-stamp/initrd-etc
	(cd binaries; tar cf ../initrd-bin.tar .)
	gzip -9 initrd-bin.tar

binaries:
	mkdir binaries
	mkdir binaries/bin
	mkdir binaries/etc
	mkdir binaries/lib
	mkdir binaries/lib/discover
	mkdir binaries/lib/python1.5
	mkdir binaries/lib/python1.5/plat-linux2
	mkdir binaries/lib/python1.5/site-packages
	mkdir binaries/share
	mkdir binaries/share/discover
	ln -s bin binaries/sbin
	ln -s . binaries/usr

$(BUSYBOXDIR): $(BUSYBOXTGZ)
	zcat $(BUSYBOXTGZ) | tar xf -

$(BUSYBOXDIR)/busybox: $(BUSYBOXDIR) Config.h
	cp Config.h $(BUSYBOXDIR)
	cd $(BUSYBOXDIR) && $(MAKE)

binaries/bin/busybox: $(BUSYBOXDIR)/busybox binaries
	cp $(BUSYBOXDIR)/busybox binaries/bin/busybox
	cat $(BUSYBOXDIR)/busybox.links | ./link-busybox

$(PYTHONDIR): python-source-1.5.2.tar
	tar xf python-source-1.5.2.tar

$(PYTHONDIR)/python: $(PYTHONDIR) Setup.static python-parted/pyparted.c
	cp Setup.static $(PYTHONDIR)/Modules/Setup
	cp python-parted/pyparted.c $(PYTHONDIR)/Modules
	-cd $(PYTHONDIR) && $(MAKE) clean
	cd $(PYTHONDIR); ./configure --prefix=/usr; $(MAKE)

binaries/bin/python: $(PYTHONDIR)/python python-parted/parted.py binaries
	cd $(PYTHONDIR)/Modules; gcc python.o \
		../libpython1.5.a /usr/lib/libcrypt.a /usr/lib/libz.a \
		/usr/lib/libdl.a /usr/lib/libparted.a \
		/usr/lib/libuuid.a -lm -o python-static
	strip $(PYTHONDIR)/Modules/python-static
	cp $(PYTHONDIR)/Modules/python-static binaries/bin/python
	cp $(PYTHONDIR)/Lib/UserDict.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/copy.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/exceptions.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/os.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/posixfile.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/posixpath.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/site.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/stat.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/string.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/tempfile.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/types.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/traceback.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/linecache.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/popen2.py binaries/lib/python1.5
	cp python-parted/parted.py binaries/lib/python1.5

binaries/bin/discover: /sbin/discover binaries
	cp /sbin/discover binaries/bin
	cp /usr/share/discover/* binaries/share/discover

# With the new busybox, this shouldn't be necessary anymore.  If it is,
# uncomment it and add "binaries/bin/ash" to BINARIES above.

#binaries/bin/ash: /bin/ash binaries
#	cp /bin/ash binaries/bin
#	ln -s ash binaries/bin/sh

binaries/bin/pump: /sbin/pump binaries
	cp /sbin/pump binaries/bin

binaries/bin/modprobe: /sbin/modprobe binaries
	cp /sbin/modprobe binaries/bin

binaries/bin/setdebconf: setdebconf-v0.9 binaries
	if [ -x /usr/sbin/setdebconf ]; then \
		cp /usr/sbin/setdebconf binaries/bin ; \
	else \
		cp setdebconf-v0.9 binaries/bin/setdebconf ; \
	fi

build-stamp/initrd-bin: build-stamp $(BINARIES)
	touch build-stamp/initrd-bin

build-stamp/initrd-libs: build-stamp/initrd-bin
	-rm binaries/lib/*
	./mklibs.sh -d binaries/lib binaries/bin/* binaries/lib/discover/discover
	cp --no-dereference /lib/libnss_dns* binaries/lib
	cp --no-dereference /lib/libnss_files* binaries/lib
	touch build-stamp/initrd-libs

build-stamp/initrd-etc: build-stamp etc/host.conf etc/hosts etc/nsswitch.conf /etc/protocols binaries
	cp etc/host.conf etc/hosts etc/nsswitch.conf binaries/etc
	cp /etc/protocols binaries/etc
	touch build-stamp/initrd-etc

clean:
	-rm -rf $(BUSYBOXDIR)
	-rm -rf $(PYTHONDIR)
	-rm -rf binaries
	-rm -rf build-stamp
	-rm -f initrd-bin.tar.gz

=== debian/changelog ===
autoinstall-i386 (1.0) unstable; urgency=low

  * Removed embedded busybox source tarball in favor of a
    build dependency on busybox-source-0.60.0.
  * Added build dep on debhelper.  Closes: #133694.
  * Updated short description.  Closes: #116596.
  * Generate blank image on package build and use that for floppy
    creation and updates.  This allows us to drop our runtime dep on
    syslinux and make this package arch:all.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 20 Feb 2002 16:45:31 -0500

autoinstall-i386 (0.9.7.2) unstable; urgency=low

  * Adapted to new discover package layout.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 15 Oct 2001 09:57:12 -0500

autoinstall-i386 (0.9.7.1) unstable; urgency=low

  * Separated out i386-specific parts of the old autoinstaller to this
    package.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 13 Aug 2001 14:55:08 -0500

autoinstall (0.9.7) unstable; urgency=low

  * General theme: Remove "Progeny-isms" to facilitate porting to
    woody.
  * Port preppkgs to debconf 0.9.
  * Use new discover (based on libdiscover0 instead of libdetect).
  * When building, check the version of debconf in use, and use the 
    correct version of preppkgs.
  * Only use etherconf to configure the network if on a Progeny
    system; otherwise, just write an appropriate
    /etc/network/interfaces.
  * Wrote setdebconf and readdebconf for debconf 0.9.
  * Detect which flavor of GRUB is provided with the system
    (Progeny's or Debian's) and install it appropriately.
  * In linuxrc, make sure that scsip1.lst is read and used even if it
    isn't needed to preload configuration data.
  * Removed lots of old commented-out code from linuxrc.
  * Added "noxconf" flag to configuration; this prevents the linuxrc
    from attempting to set X up even if X servers are present.

 -- Jeff Licquia <jlicquia@progeny.com>  Fri,  3 Aug 2001 09:41:33 -0500

autoinstall (0.9.6) unstable; urgency=low

  * Split out configuration loading functions to remove duplicate
    code.
  * Add exception block to the main code, so exceptions get caught
    properly.
  * Changed "autoinst_config" kernel parameters to "aidrv" and "aifs",
    since the other parameters were too long.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 11 Jul 2001 16:00:30 -0500

autoinstall (0.9.5) unstable; urgency=low

  * linuxrc: Add "autoinst_config_drive" and "autoinst_config_fstype"
    kernel command line options, so the autoinstaller config can be
    loaded from alternate places (such as an already-formatted hard
    drive).
  * linuxrc: Add ability to preload SCSI modules (to support using
    autoinst_config_drive to load configuration from a SCSI disk).
  * update-autoinst-disk: Check that the FLOPPYPATH exists before
    trying to create it.
  * update-autoinst-disk: Copy conf tarball to conf.tgz instead of
    conf.tar.gz, since it's likely being copied to a MS-DOS
    filesystem.
  * make-autoinst-initrd: Copy SCSI preload file into ramdisk if it
    exists.
  * mkmodules: Load modules from SCSI preload file as well as the
    other files.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon,  9 Jul 2001 12:34:55 -0500

autoinstall (0.9.4) unstable; urgency=low

  * now includes manpages for make-autoinst-disk, make-autoinst-initrd, and
    update-autoinst-disk
  * make-autoinst-initrd:
    + set PROGNAME variable and use it for consistent error messages
    + better diagnostic message for missing kernel module directory
    + check number of args and error out if incorrect
    + correct cut-n-paste bug in error messages WRT name of program
    + if TMPDIR is defined, use it instead of /tmp
    + explain why we exit 1 if we can't create the temporary directory
    + add vim modeline
  * make-autoinst-disk:
    + converted to wrapper around update-autoinst-disk; this just formats the
      disk, copies the kernel and then calls update-autoinst-disk
    + use PROGNAME for error (diagnostic) messages
    + more diagnostic messages
    + check for existence of needed files before starting to do anything
    + use TMPDIR if it is set
    + add vim modeline
  * update-autoinst-disk:
    + use PROGNAME for error (diagnostic) messages
    + Uses better-tested code formerly from make-autoinst-disk.
    + Honors existing TMPPATH, and doesn't create the tempdir itself if that
      variable is set (for use when called by make-autoinst-disk).
    + Only remove the tempdir if we set TMPPATH ourselves.

 -- Branden Robinson <branden@progeny.com>  Mon,  9 Jul 2001 14:52:08 -0500

autoinstall (0.9.3) unstable; urgency=low

  * README: Note that postinst is run chrooted into the installed system.
    Clarify many other points.
  * linuxrc: Don't freak on blank lines in global.cfg. Fix the translation
    of cdrom: "URLs" in global.cfg (off-by-one error).
  * make-autoinst-disk: Add -s to syslinux call to enable safe, slow, and
    stupid operation so that it works with brain-dead BIOSes.
  * make-autoinst-initrd: Fix bug on first run where it gives an error
    about not being able to remove a non-existant initrd.gz in the temp
    dir.
  * debian/control: Add complete Build-Depends.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Fri, 23 Mar 2001 17:05:52 -0500

autoinstall (0.9.2) unstable; urgency=low

  * Brought in new python-parted.
  * Rebuilt to use new discover, new kernel facilities, etc.
  * Brought in new mklibs.sh to handle new libc stripping.
  * Added better error handling, both globally and in specific places.
  * Now does ide-scsi stuff right.
  * Fixed parsing of modules.dep so the needed module immediately
    following another needed module isn't skipped.
  * Removed code to modprobe SCSI disk driver, since that's compiled in to
    Progeny kernels now.  Note: should at some point wrap that with
    exception handling.
  * Fixed all setdebconf stuff to use the new setdebconf file format.
  * Fixed etherconf to write a default hostname if the network is to be
    configured via DHCP.


=== debian/control ===
Source: autoinstall-i386
Section: admin
Priority: extra
Build-Depends-Indep: debhelper, busybox-source-0.60.0, libparted-dev, uuid-dev, libz-dev, libc6-pic, discover, discover-data, net-tools, pump, configlet | debconf-utils, syslinux, dosfstools
Maintainer: Jeff Licquia <jlicquia@progeny.com>
Standards-Version: 3.5.6

Package: autoinstall-i386
Architecture: all
Depends: python, fdutils, debconf, autoinstall (>= 0.9.7.2)
Provides: autoinstall-arch
Description: Progeny Debian auto-installation system - i386-specific files
 This package contains the i386-specific parts of the Progeny Debian 
 auto-installation system.  With the "autoinstall" package, it's possible
 to create floppy disks that install Debian systems without any user
 interaction.

## autoinstall-i386 1.12

=== debian/changelog ===
autoinstall-i386 (1.12) unstable; urgency=low

  * Updated control to depend on discover1 
  * Added ability to  create ISO boot image

 -- Paul Telford <pxt@debian.org>  Wed,  7 Apr 2004 15:40:06 -0700

autoinstall-i386 (1.11) unstable; urgency=low

  * Added modutils Build-dep (Closes: #229164)

 -- Paul Telford <pxt@debian.org>  Mon, 26 Jan 2004 08:46:19 -0800

autoinstall-i386 (1.10) unstable; urgency=low

  * Fix to allow libparted to build w/ gcc 3.x
  * removed reliance on sudo (Closes: #221026)

 -- Paul Telford <pxt@debian.org>  Mon, 17 Nov 2003 14:42:30 -0800

autoinstall-i386 (1.1) unstable; urgency=low

  * New co-maintainer
  * Removed Build-Depends on busybox-source which no longer exists in archive
    -- now included in autoinstall-common-source package. (Closes: #174559)
  * Work-around libparted API changes by Build-depending on
    new autoinstall-common-source package.  (Closes: #169249)
  * Remove usage of mtools.  (Closes: #140259)
  * Proper handling of separate /boot partition.  (Closes: #152785)
  * Changed boot-disk creation process to generate standard 1.44M floppy
    images instead of the "superformat" 1.7M images.

 -- Paul Telford <pxt@debian.org>  Tue, 14 Oct 2003 13:48:45 -0700

## autoinstall-i386 1.13

=== Makefile ===
# Makefile for Progeny autoinstaller - arch-specific items

ARCH := $(shell dpkg --print-architecture)

DESTDIR ?= /tmp/autoinstall

BUSYBOXDIR=busybox-0.60.0
PYTHONDIR=Python-1.5.2
PARTEDDIR=parted-1.4.24

SOURCETAR=/usr/src/autoinstall-common-source_1.0.tar.gz

BINARIES=binaries/bin/busybox binaries/bin/modprobe binaries/bin/python \
	binaries/bin/discover binaries/bin/pump binaries/bin/setdebconf

all: $(SOURCETAR) build-stamp initrd-bin.tar.gz image.gz isoimage.gz

sourcedirs: $(SOURCETAR)
	tar zxvf $(SOURCETAR)

install: binaries image.gz initrd-bin.tar.gz isoimage.gz
	-mkdir -p $(DESTDIR)/usr/share/autoinstall/i386
	cp initrd-bin.tar.gz isoimage.gz image.gz make-autoinst-initrd \
		$(DESTDIR)/usr/share/autoinstall/i386
	-mkdir -p $(DESTDIR)/usr/share/autoinstall/i386/boot
	cp boot/*.py $(DESTDIR)/usr/share/autoinstall/i386/boot
	-mkdir -p $(DESTDIR)/usr/share/autoinstall/i386
	cp update-autoinst-disk $(DESTDIR)/usr/share/autoinstall/i386/
	cp make-autoinst-disk $(DESTDIR)/usr/share/autoinstall/i386/
	cp syslinux*.cfg $(DESTDIR)/usr/share/autoinstall/i386/
	cp logo.txt $(DESTDIR)/usr/share/autoinstall/

build-stamp:
	mkdir build-stamp

isoimage.gz:
	dd if=/dev/zero of=isoimage count=2880 bs=1024
	/sbin/mkdosfs isoimage
	syslinux isoimage
	gzip -9 isoimage

image.gz:
	dd if=/dev/zero of=image count=1440 bs=1024
	/sbin/mkdosfs image 
	syslinux image
	gzip -9 image

initrd-bin.tar.gz: build-stamp/initrd-bin build-stamp/initrd-libs build-stamp/initrd-etc
	(cd binaries; tar cf ../initrd-bin.tar .)
	gzip -9 initrd-bin.tar

binaries:
	mkdir binaries
	mkdir binaries/bin
	mkdir binaries/etc
	mkdir binaries/lib
	mkdir binaries/lib/discover
	mkdir binaries/lib/python1.5
	mkdir binaries/lib/python1.5/plat-linux2
	mkdir binaries/lib/python1.5/site-packages
	mkdir binaries/share
	mkdir binaries/share/discover
	ln -fs bin binaries/sbin
	ln -fs . binaries/usr

$(BUSYBOXDIR)/busybox: 
	cd $(BUSYBOXDIR) && $(MAKE)

binaries/bin/busybox: $(BUSYBOXDIR)/busybox binaries
	cp $(BUSYBOXDIR)/busybox binaries/bin/busybox
	cat $(BUSYBOXDIR)/busybox.links | ./link-busybox

parted: 
	-cd $(PARTEDDIR) && $(MAKE) clean
	cd $(PARTEDDIR); ./configure --disable-Werror --prefix=/usr --without-readline ; $(MAKE) 

$(PYTHONDIR)/python: parted python-parted/pyparted.c
	cp python-parted/pyparted.c $(PYTHONDIR)/Modules
	-cd $(PYTHONDIR) && $(MAKE) clean
	cd $(PYTHONDIR); ./configure --prefix=/usr ; $(MAKE)


binaries/bin/python: $(PYTHONDIR)/python python-parted/parted.py binaries
	cd $(PYTHONDIR)/Modules; gcc python.o \
		../libpython1.5.a /usr/lib/libcrypt.a /usr/lib/libz.a \
		../../parted-1.4.24/libparted/.libs/libparted.a /usr/lib/libuuid.a \
		-ldl -lm -o python-static
	strip $(PYTHONDIR)/Modules/python-static
	cp $(PYTHONDIR)/Modules/python-static binaries/bin/python
	cp $(PYTHONDIR)/Lib/UserDict.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/copy.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/exceptions.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/os.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/posixfile.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/posixpath.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/site.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/stat.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/string.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/tempfile.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/types.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/traceback.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/linecache.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/popen2.py binaries/lib/python1.5
	cp python-parted/parted.py binaries/lib/python1.5

binaries/bin/discover: /sbin/discover binaries
	cp /sbin/discover binaries/bin
	cp /usr/share/discover/*.lst binaries/share/discover

# With the new busybox, this shouldn't be necessary anymore.  If it is,
# uncomment it and add "binaries/bin/ash" to BINARIES above.

#binaries/bin/ash: /bin/ash binaries
#	cp /bin/ash binaries/bin
#	ln -s ash binaries/bin/sh

binaries/bin/pump: /sbin/pump binaries
	cp /sbin/pump binaries/bin

binaries/bin/modprobe: /sbin/modprobe binaries
	cp /sbin/modprobe binaries/bin

binaries/bin/setdebconf: setdebconf-v0.9 binaries
	if [ -x /usr/sbin/setdebconf ]; then \
		cp /usr/sbin/setdebconf binaries/bin ; \
	else \
		cp setdebconf-v0.9 binaries/bin/setdebconf ; \
	fi

build-stamp/initrd-bin: build-stamp sourcedirs $(BINARIES)
	touch build-stamp/initrd-bin

build-stamp/initrd-libs: build-stamp/initrd-bin
	-rm binaries/lib/*
	mklibs -d binaries/lib binaries/bin/* 
	cp --no-dereference /lib/libnss_dns* binaries/lib
	cp --no-dereference /lib/libnss_files* binaries/lib
	touch build-stamp/initrd-libs

build-stamp/initrd-etc: build-stamp etc/host.conf etc/hosts etc/nsswitch.conf /etc/protocols binaries
	cp etc/services etc/host.conf etc/hosts etc/nsswitch.conf binaries/etc
	cp /etc/protocols binaries/etc
	touch build-stamp/initrd-etc

clean:
	-rm -rf $(BUSYBOXDIR) $(PYTHONDIR) $(PARTEDDIR)
	-rm -rf binaries build-stamp
	-rm -f initrd-bin.tar.gz image.gz isoimage.gz

=== debian/changelog ===
autoinstall-i386 (1.13) unstable; urgency=low

  * Updated grub syntax (Closes: #258498)

 -- Paul Telford <pxt@debian.org>  Tue, 20 Jul 2004 07:43:24 -0700

=== debian/control ===
Source: autoinstall-i386
Section: admin
Priority: extra
Build-Depends-Indep: debhelper, mklibs, modutils, uuid-dev, libz-dev, discover1, discover1-data, net-tools, pump, configlet | debconf-utils, syslinux, mtools, dosfstools, autoinstall-common-source, netbase, libc6-pic
Maintainer: Paul Telford <pxt@debian.org>
Standards-Version: 3.6.1
Uploaders: Paul Telford <pxt@debian.org>, Jeff Licquia <jlicquia@progeny.com>

Package: autoinstall-i386
Architecture: all
Depends: python, fdutils, debconf, autoinstall (>= 1.0)
Provides: autoinstall-arch
Recommends: mkisofs
Description: Debian auto-installation system - i386-specific files
 This package contains the i386-specific parts of the Debian 
 auto-installation system.  With the "autoinstall" package, it's possible
 to create floppy/cdrom disks that install Debian systems without any user
 interaction.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

ARCH := $(shell dpkg --print-architecture)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=1

build-stamp:
	mkdir build-stamp

configure: build-stamp/configure-stamp-debian
build-stamp/configure-stamp-debian: build-stamp
	dh_testdir
	# Add here commands to configure the package.

	touch build-stamp/configure-stamp-debian

build: build-stamp/configure-stamp-debian build-stamp/build-stamp-debian
build-stamp/build-stamp-debian: build-stamp
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp/build-stamp-debian

clean:
	dh_testdir
	dh_testroot
	-rm -rf build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(PWD)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/autoinstall-$(ARCH)
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installmanpages
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
